CTAN Comprehensive TeX Archive Network

CTAN update: iftex

Date: November 6, 2019 8:26:42 PM CET
The LaTeX Team submitted an update to the iftex package. Version number: 1.0b License type: lppl1.3c Summary description: Am I running under pdfTeX, XeTeX or LuaTeX? Announcement text:
Minor update to iftex package to improve compatibility with KOMA-Script scrbase package which defines \ifpdftex with a different syntax. iftex will now not over-ride the definition. Users can still use the alternative name \ifPDFTeX to access the iftex definition. Alternatively(and preferable for compatibility with other document classes) use the scrbase internalonly option so that package does not define a conflicting \ifpdftex.
This package is located at http://mirror.ctan.org/macros/latex/contrib/iftex More information is at http://www.ctan.org/pkg/iftex CTAN is run entirely by volunteers and supported by TeX user groups Please join a user group or donate to one, see https://ctan.org/lugs
Thanks for the upload. For the CTAN Team Ina Dau --

iftex – Am I running under pdf, or Lua?

The package, which works both for Plain and for , defines the \ifPDF, \if, and \ifLua conditionals for testing which engine is being used for typesetting.

The package also provides the \RequirePDF, \Require, and \RequireLua commands which throw an error if pdf, or Lua (respectively) is not the engine in use.

Packageiftex
Version1.0c
MaintainerThe Team
Vafa Khalighi (inactive)

Announcements

more

Guest Book Sitemap Contact Contact Author